Bug 1902011 (CVE-2020-27818) - CVE-2020-27818 pngcheck: global buffer overflow was discovered in check_chunk_name function via crafted pngfile
Summary: CVE-2020-27818 pngcheck: global buffer overflow was discovered in check_chunk...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2020-27818
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1902012
Blocks: 1902014
TreeView+ depends on / blocked
 
Reported: 2020-11-26 15:16 UTC by Marian Rehak
Modified: 2021-02-22 18:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the check_chunk_name() function of pngcheck. This flaw allows an attacker who can pass a malicious file to be processed by pngcheck to cause a temporary denial of service. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2020-11-26 17:33:53 UTC


Attachments (Terms of Use)

Description Marian Rehak 2020-11-26 15:16:37 UTC
A global buffer overflow was discovered in check_chunk_name function in pngcheck-2.4.0 via a crafted png file.

Reference:

https://bugzilla.redhat.com/show_bug.cgi?id=1897485

Comment 1 Marian Rehak 2020-11-26 15:17:03 UTC
Created pngcheck tracking bugs for this issue:

Affects: fedora-all [bug 1902012]

Comment 2 Product Security DevOps Team 2020-11-26 17:33:53 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.

Comment 4 Todd Cullum 2020-11-30 19:01:28 UTC
Flaw summary:

When pngcheck is provided a crafted input file, it could cause a global-buffer-overflow -> out-of-bounds read, due to improper use of casts in the check_chunk_name() function of pngcheck-2.4.0/pngcheck.c. Red Hat Product Security has designated this as a Low severity issue because an attacker would likely need to social engineer a user or already have access to a victim system, and exploiting this flaw would likely only lead to temporary denial of service (application crash).

Comment 5 Todd Cullum 2020-11-30 19:03:19 UTC
Mitigation:

To mitigate this flaw, do not provide input files from untrusted sources to pngcheck.


Note You need to log in before you can comment on or make changes to this bug.